//+------------------------------------------------------------------+
//|                                                RSI MA Signal.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
//mod2008fxtsd   ki
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"


#property indicator_separate_window
#property indicator_buffers 5

#property indicator_color1 Green
#property indicator_color2 Blue
#property indicator_color3 Maroon
#property indicator_color4 Aqua
#property indicator_color5 OrangeRed

#property indicator_width1 3
#property indicator_width2 2
#property indicator_width3 2



#property indicator_level1 70
#property indicator_level2 50
#property indicator_level3 30
#property indicator_levelcolor MediumBlue
#property indicator_levelwidth 1
#property indicator_levelstyle STYLE_DOT


extern int    Rsi   = 8;
extern int    Ma   = 8;
extern int    cbars   = 0;

extern bool    dblSmz   =  false;


double RsiBuf[];
double MaP[];
double MaF[];
double Up[];
double Dn[];


void init() {
  SetIndexStyle (0, DRAW_LINE);
  SetIndexStyle (1, DRAW_LINE);
  SetIndexStyle (2, DRAW_LINE);
  SetIndexStyle (3, DRAW_ARROW);
  SetIndexStyle (4, DRAW_ARROW);
  SetIndexBuffer(0, RsiBuf);
  SetIndexBuffer(1, MaF);
  SetIndexBuffer(2, MaP);
  SetIndexBuffer(3, Up);
  SetIndexBuffer(4, Dn);
  SetIndexEmptyValue(3,EMPTY_VALUE);
  SetIndexEmptyValue(4,EMPTY_VALUE);
  SetIndexArrow(3,108);
  SetIndexArrow(4,108);
}

void deinit() {
}


int start() {
  int shift,limit = cbars;
  if(limit==0) limit = Bars;
  for(shift=limit-1; shift>=0; shift--) 
      RsiBuf[shift] = iRSI(NULL,0,Rsi,PRICE_CLOSE,shift);
        
  for(shift=limit-1; shift>=0; shift--) 
      
      MaF[shift] = iMAOnArray(RsiBuf,0,Ma,0,MODE_EMA,shift);
      
      
      // Previous Indicator Data// First Indicator Data 

  for(shift=limit-1; shift>=0; shift--) 
      {

      if (dblSmz)
      MaP[shift] = iMAOnArray(MaF,0,Ma,0,MODE_SMA,shift);
      else 
      MaP[shift] = iMAOnArray(RsiBuf,0,Ma,0,MODE_SMA,shift);

      if((MaF[shift]-MaP[shift])*(MaF[shift+1]-MaP[shift+1])<0){
         if(MaF[shift]-MaP[shift]<0) Dn[shift] = MaP[shift];
         else Up[shift] = MaP[shift];
         }
      }
}


